Uploaded image for project: 'Mesos'
  1. Mesos
  2. MESOS-9232

verify-reviews.py broken after enabling python3 support scripts

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.8.0
    • Fix Version/s: 1.8.0
    • Component/s: reviewbot, test
    • Labels:
      None

      Description

      Reviewbot is failing since support/verify-reviews.py was upgraded to use the python3 instead of the python3 implementation. I see this was completely refactored in 590a75d0c9d61b0b07f8a3807225c40eb8189a0b and replaced the existing impl with 9c7eb909aad99e6ea6de0b1fd2a55a798764b00b.

      We already fixed how the script gets invoked by Jenkins (it uses a completely different way to pass arguments), but now see failures like

      09-14-18_08:43:03 - Running /home/jenkins/jenkins-slave/workspace/Mesos-Reviewbot/support/verify-reviews.py
      0 review requests need verification
      Traceback (most recent call last):
        File "/home/jenkins/jenkins-slave/workspace/Mesos-Reviewbot/support/verify-reviews.py", line 250, in verification_needed_write
          with open(parameters.out_file, 'w') as f:
      AttributeError: 'Namespace' object has no attribute 'out_file'
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/home/jenkins/jenkins-slave/workspace/Mesos-Reviewbot/support/verify-reviews.py", line 301, in <module>
          main()
        File "/home/jenkins/jenkins-slave/workspace/Mesos-Reviewbot/support/verify-reviews.py", line 297, in main
          verification_needed_write(review_ids, parameters)
        File "/home/jenkins/jenkins-slave/workspace/Mesos-Reviewbot/support/verify-reviews.py", line 253, in verification_needed_write
          print("Failed opening file '%s' for writing" % parameters.out_file)
      AttributeError: 'Namespace' object has no attribute 'out_file'
      Build step 'Execute shell' marked build as failure
      Sending e-mails to: builds@mesos.apache.org
      Finished: FAILURE
      

      It looks like the script would need some additional modifications and possible tests.

        Attachments

          Activity

            People

            • Assignee:
              andschwa Andrew Schwartzmeyer
              Reporter:
              bbannier Benjamin Bannier
              Shepherd:
              Benjamin Bannier
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: